<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="BMP_LINE.html"><font color="#008000">BMP_LINE</font></a>[<font color="#008000">E</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Generic bitmap line"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_abstract_bmp_line</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B>  </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_with_capacity</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Warning : Not storage copy.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_with_capacity</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">at</font></strong> offset:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> :<font color="#008000">SELF</font> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Warning : Not storage copy.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">at</font></strong> offset:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pixel_geometry</font></strong>:<font color="#008000">E</font>;
   
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Put.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">to</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">from</font></strong> idx_begin:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">to</font></strong> idx_end:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-   
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put</font></strong> bmp:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">from</font></strong> idx_begin:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">to</font></strong> idx_end:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Get.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_color</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">E</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_8</font></strong>  n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="PIXEL_8.html"><font color="#008000">PIXEL_8</font></a>  <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_15</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="PIXEL_15.html"><font color="#008000">PIXEL_15</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_16</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="PIXEL_16.html"><font color="#008000">PIXEL_16</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_24</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="PIXEL_24.html"><font color="#008000">PIXEL_24</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item_32</font></strong> n:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="PIXEL_32.html"><font color="#008000">PIXEL_32</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Arrayed consideration.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_storage</font></strong>:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>] <- 
  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">element_sizeof</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">valid_stream</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">ofs_buf</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add_last_buffer</font></strong> buf:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>] <strong><font color="#0000FF">from</font></strong> beg:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">to</font></strong> end:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Arrayed consideration.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_capacity</font></strong> new_capacity:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-  
  
 
</body>
</html>
 